import * as $dara from '@darabonba/typescript';
export declare class DescribeClassicLinkInstancesResponseBodyLinksLink extends $dara.Model {
    /**
     * @remarks
     * The instance ID.
     *
     * @example
     * i-test
     */
    instanceId?: string;
    /**
     * @remarks
     * The VPC ID.
     *
     * @example
     * vpc-test
     */
    vpcId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeClassicLinkInstancesResponseBodyLinks extends $dara.Model {
    link?: DescribeClassicLinkInstancesResponseBodyLinksLink[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeClassicLinkInstancesResponseBody extends $dara.Model {
    /**
     * @remarks
     * The details of the ClassicLink connections between the instances reside in the classic network and VPCs.
     */
    links?: DescribeClassicLinkInstancesResponseBodyLinks;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of ClassicLink connections.
     *
     * @example
     * 2
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
